Get a prompt
curl --request GET \
--url https://api.qualifire.ai/api/v1/studio/prompts/{promptId} \
--header 'X-Qualifire-API-Key: <api-key>'import requests
url = "https://api.qualifire.ai/api/v1/studio/prompts/{promptId}"
headers = {"X-Qualifire-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Qualifire-API-Key': '<api-key>'}};
fetch('https://api.qualifire.ai/api/v1/studio/prompts/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"revision": 123,
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"tools": [
{
"type": "<string>",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"parameters": {
"model": "<string>",
"temperature": 123,
"top_p": 123,
"frequency_penalty": 123,
"presence_penalty": 123,
"max_tokens": 123,
"reasoning_effort": "<string>"
}
}{
"error": "Invalid API key"
}{
"error": "Invalid API key"
}Studio
Get Prompt
Retrieves a prompt with its messages and parameters. Supports lookup by prompt ID (cuid) or textId (deprecated).
GET
/
v1
/
studio
/
prompts
/
{promptId}
Get a prompt
Authorizations
Path Parameters
Prompt ID (cuid) or textId (deprecated)
Query Parameters
Revision ID (cuid) - preferred method
Revision number (deprecated, use revision instead)
⌘I